Channels

Get the active and draft profile for a channel

GET
/api/projects/{projectId}/channels/{channelId}/profile

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
channel*
active*
draft*|null
Example Request
curl -X GET 'https://postbot.example/api/projects/string/channels/string/profile'
Example Response
{
  "channel": {
    "id": "string",
    "projectId": "string",
    "name": "string",
    "profileVersionId": "string",
    "state": "active",
    "archivedAt": -9007199254740991,
    "revision": -9007199254740991,
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991,
    "profileId": "string"
  },
  "active": {
    "id": "string",
    "projectId": "string",
    "channelId": "string",
    "profileId": "string",
    "version": 1,
    "origin": "built_in",
    "state": "draft",
    "revision": 1,
    "profile": {},
    "createdByActorId": "string",
    "createdAt": 0,
    "updatedAt": 0
  },
  "draft": {
    "id": "string",
    "projectId": "string",
    "channelId": "string",
    "profileId": "string",
    "version": 1,
    "origin": "built_in",
    "state": "draft",
    "revision": 1,
    "profile": {},
    "createdByActorId": "string",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?